Get a card product's BIN range
Get the full details of a single BIN range configured for a BIN on this card product.
Required permissions: card_product:read.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
card_product_id
bin_id
bin_range_id
Response
The BIN range.
bin_range_id
Penny's unique identifier for this BIN range.
version
A number that increases each time this range's details change. Use it to confirm you are looking at the latest information.
version_time
The date and time this range's details were last changed.
bin_id
The BIN this range belongs to.
active
Whether this BIN range is currently active for card issuance.
status
This BIN range’s current lifecycle status: ‘reserved’ (not yet in use), ‘active’, ‘deactivated’, or ‘deprecated’ (should not be used for new issuance).
Allowed values:
currency
The currency cards issued from this range are denominated in.
Allowed values:
capabilities
The payment capabilities available to cards issued from this range.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error